#!/bin/bash

# memorize current directory
STARTDIR=`pwd`

# create work directory
if [ -d "wip" ]; then
   echo "directory exists, files will be overwritten"
else
   mkdir wip
fi

# enter wip directory
cd wip

URL="http://www.hep.lu.se/staff/paganelli/lib/exe/fetch.php/it_services:movies.tar.gz"

FILENAME="tarball.tar.gz"

#download file from URL with specific filename
wget -O $FILENAME $URL

# unpack downloaded file
tar zxvf $FILENAME

cd $STARTDIR

# pass different arguments to the python script
# it will also write files!
for genre in {Comedy,Drama,Adventure}; do
	./exerciseD6.9.py $genre
done


